<DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
    <head>
        <title>Ejercicio con PDO</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    </head>
<body>
<?php

try
{
    $base = new PDO('mysql:host=127.0.0.1;dbname=_test','root','');
    $base->setAttribute(PDO::ATTR_ERRMBDE,PDO::ERRMBDE_EXCEPTION);
    
	$sql = "SELECT Nombre, Apellidos FROM Persona WHERE Edad >:edad AND Nombre LIKE:nombre";
    // Preparación de la consulta con los marcadores
    $resultado = $base->prepare($sql);
    $resultado->execute(array('edad' => 35,'nombre' =>'GO%'));
	while ($linea = $resultado->fetch())
    {
        echo'Nombre:'.$linea['Nombre'].', Apellidos:'.$linea['Apellidos'].'<br />';
    }
    
    $resultado->closeCursor();

}
catch(Exception $e)
{
    // mensaje en caso de error
    die('Error:'.$e->getMessage());
}
?>


</body>
</html>
